<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/09/2008 *
 * ================                             Last change: 09/09/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-add_surfbar_url.php                         *
 * -------------------------------------------------------------------- *
 * Short description : Admin may add own URLs to the surfbar            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Admin kann eigene URLs der Surfbar hinzufuegen   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

// Was an URL added?
if ((REQUEST_ISSET_POST('add')) && (REQUEST_ISSET_POST('url'))) {
	// Initialize variables
	$DATA = array();
	$id = 'reload_ye';
	$skip = false;
	$POST = REQUEST_POST_ARRAY();

	// Convert the "reload selections"
	// @TODO Find all convertSelectionsToTimestamp() calls and rewrite REQUEST_POST() calls to $POST
	convertSelectionsToTimestamp($POST, $DATA, $id, $skip);

	// Then add this URL
	if (SURFBAR_ADMIN_ADD_URL($POST['url'], $POST['limit'], $POST['reload'])) {
		// URL was added
		LOAD_TEMPLATE('admin_settings_saved', false, getMessage('ADMIN_SURFBAR_URL_ADDED'));
	} else {
		// Not added
		LOAD_TEMPLATE('admin_settings_saved', false, getMessage('ADMIN_SURFBAR_URL_NOT_ADDED'));
	}
} // END - if

// Prepare content for template
$content = array(
	'reload' => createTimeSelections(0, 'reload', 'WDhms')
);

// Load template
LOAD_TEMPLATE('admin_add_surfbar_url', false, $content);

//
?>
